%global _empty_manifest_terminate_build 0
Name:		python-cov-core
Version:	1.15.0
Release:	1
Summary:	plugin core for use by pytest-cov, nose-cov and nose2-cov
License:	MIT License
URL:		https://github.com/schlamar/cov-core
Source0:	https://files.pythonhosted.org/packages/4b/87/13e75a47b4ba1be06f29f6d807ca99638bedc6b57fa491cd3de891ca2923/cov-core-1.15.0.tar.gz
BuildArch:	noarch


%description
This is a lib package for use by pytest-cov, nose-cov and nose2-cov.  Unless you're developing a
coverage plugin for a test framework, you probably want one of those.

%package -n python3-cov-core
Summary:	plugin core for use by pytest-cov, nose-cov and nose2-cov
Provides:	python-cov-core
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-cov-core
This is a lib package for use by pytest-cov, nose-cov and nose2-cov.  Unless you're developing a
coverage plugin for a test framework, you probably want one of those.

%package help
Summary:	Development documents and examples for cov-core
Provides:	python3-cov-core-doc
%description help
This is a lib package for use by pytest-cov, nose-cov and nose2-cov.  Unless you're developing a
coverage plugin for a test framework, you probably want one of those.

%prep
%autosetup -n cov-core-1.15.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-cov-core -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Wed May 20 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
